#
# spec file for package kid3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define         soname 3
%define         sosuffix 3.1.1

Name:           kid3
Summary:        Efficient ID3 Tag Editor
Version:        3.1.1
Release:        1.1
Url:            http://kid3.sourceforge.net
Source0:        kid3-%{version}.tar.gz
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
BuildRequires:  cmake
BuildRequires:  libchromaprint-devel-with-ffmpeg
BuildRequires:  libffmpeg-devel
%if 0%{?suse_version} > 1140
BuildRequires:  docbook-xsl-stylesheets
%else
BuildRequires:  docbook5-xsl-stylesheets
%endif
BuildRequires:  flac-devel
BuildRequires:  fop
BuildRequires:  hicolor-icon-theme
BuildRequires:  id3lib-devel
BuildRequires:  jpackage-utils
BuildRequires:  libQtWebKit-devel
BuildRequires:  libmusicbrainz3-devel
BuildRequires:  libqt4-devel
BuildRequires:  libkde4-devel
BuildRequires:  libtunepimp-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl
BuildRequires:  pkg-config
BuildRequires:  libtag-devel >= 1.8
BuildRequires:  readline-devel
BuildRequires:  update-desktop-files
BuildRequires:  xerces-j2
BuildRequires:  perl(File::Spec)
%if 0%{?sles_version} == 11
BuildRequires:  phonon-devel
BuildRequires:  libxslt-devel
%else
BuildRequires:  pkgconfig(phonon)
BuildRequires:  pkgconfig(libexslt)
%endif
%if 0%{?suse_version} > 1230
BuildRequires:  pkgconfig(gstreamer-1.0)
%else
BuildRequires:  pkgconfig(gstreamer-0.10)
%endif
%if 0%{?suse_version} > 1230
BuildRequires:	clucene-core-devel
%endif
Requires(pre):  desktop-file-utils
Provides:       kid3-frontend = %{version}-%{release}
Requires:       libkid3_%{soname} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%if 0%{?suse_version} > 1140
%define         docbook_xls_version %(rpm -q --qf '%{VERSION}' docbook-xsl-stylesheets | cut -d+ -f1)
%else
%define         docbook_xls_version %(rpm -q --qf '%{VERSION}' docbook5-xsl-stylesheets)
%endif

%description
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, APE, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package uses KDE libraries, if you do not use KDE you should use kid3-qt.

Authors: Urs Fleisch

%package qt
Summary:        Efficient ID3 tag editor
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       kid3-frontend = %{version}-%{release}
Requires:       libkid3_%{soname} = %{version}-%{release}

%description qt
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package does not use KDE libraries, if you use KDE you should use kid3.

Authors: Urs Fleisch

%package cli
Summary:        Efficient ID3 tag editor
Group:          Productivity/Multimedia/Sound/Utilities
Provides:       kid3-frontend = %{version}-%{release}
Requires:       libkid3_%{soname} = %{version}-%{release}

%description cli
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package contains a command line interface for Kid3, for a GUI you can use kid3-qt or kid3.

Authors: Urs Fleisch

%package -n libkid3_%{soname}
Summary:        Audio tag editor core libraries and data
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       kid3-frontend

%description -n libkid3_%{soname}
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
  S3M, IT, XM).
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package contains common libraries and data used by kid3, kid3-qt and kid3-cli.

Authors: Urs Fleisch

%prep
%setup -q -n kid3-%{version}

%build
%if 0%{?suse_version} < 1310
mkdir Build && cd Build
cmake ../ \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_C_FLAGS:STRING="%{optflags} -ggdb" \
    -DCMAKE_CXX_FLAGS:STRING="%{optflags} -ggdb" \
%else
%cmake \
%endif
    -DWITH_LIBDIR:STRING="%{_lib}" \
    -DWITH_PLUGINSDIR:STRING="%{_lib}/kid3/plugins" \
    -DWITH_MP4V2=OFF \
%if 0%{?suse_version} == 1140 || 0%{?sles_version} == 11
    -DDOCBOOK_XSL_DIR:PATH=%{_datadir}/xml/docbook/stylesheet/nwalsh5/%{docbook_xls_version}/ \
%else
%if 0%{?suse_version} == 1210
    -DDOCBOOK_XSL_DIR:PATH=%{_datadir}/xml/docbook/stylesheet/nwalsh/1.75.2/ \
%else
    -DDOCBOOK_XSL_DIR:PATH=%{_datadir}/xml/docbook/stylesheet/nwalsh/%{docbook_xls_version}/ \
%endif
%endif
    -DWITH_DOCDIR:STRING=share/doc/packages/kid3-qt \
    -DWITH_TRANSLATIONSDIR:STRING=share/kid3/translations \
    -DWITH_CHROMAPRINT_FFMPEG:BOOL=ON \
    -DWITH_GSTREAMER:BOOL=ON \
    -DWITH_FFMPEG:BOOL=ON \
    -DWITH_QAUDIODECODER:BOOL=OFF

make %{?_smp_mflags}

%install
%if 0%{?suse_version} < 1310
pushd Build
export INSTALL_ROOT=%{buildroot}
%make_install
popd
%else
%cmake_install
%endif

pushd %{buildroot}%{_mandir}/man1
ln -sf kid3.1.gz kid3-qt.1.gz
ln -sf kid3.1.gz kid3-cli.1.gz
popd

pushd %{buildroot}%{_mandir}/de/man1
ln -sf kid3.1.gz kid3-qt.1.gz
ln -sf kid3.1.gz kid3-cli.1.gz
popd

%suse_update_desktop_file -r kid3 AudioVideo AudioVideoEditing
%suse_update_desktop_file -r kid3-qt AudioVideo AudioVideoEditing

rm %{buildroot}%{_libdir}/libkid3-core.so
rm %{buildroot}%{_libdir}/libkid3-gui.so

%{__rm} %{buildroot}%{_datadir}/appdata/kid3*.appdata.xml

%if 0%{?sles_version} == 11
%{__rm} %{buildroot}%{_kde4_htmldir}/*/kid3/common 
%endif

%find_lang kid3

%post
update-desktop-database > /dev/null

%postun
update-desktop-database > /dev/null

%post -n libkid3_%{soname} -p /sbin/ldconfig

%postun -n libkid3_%{soname} -p /sbin/ldconfig

%files -f kid3.lang
%defattr(-,root,root)
%{_kde4_bindir}/kid3
%{_kde4_applicationsdir}/kid3.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kid3.png
%{_kde4_iconsdir}/hicolor/scalable/apps/kid3.svgz
%dir %{_kde4_appsdir}/kid3
%{_kde4_appsdir}/kid3/kid3ui.rc

%files qt
%defattr(-,root,root)
%{_bindir}/kid3-qt
%{_datadir}/applications/kid3-qt.desktop
%{_datadir}/icons/hicolor/*/apps/kid3-qt.png
%{_datadir}/icons/hicolor/scalable/apps/kid3-qt.svg
%dir %{_docdir}/kid3-qt
%{_docdir}/kid3-qt/kid3_de.html
%{_docdir}/kid3-qt/kid3_en.html
%{_mandir}/man1/kid3-qt.1.gz
%{_mandir}/de/man1/kid3-qt.1.gz

%files cli
%defattr(-,root,root)
%{_bindir}/kid3-cli
%{_mandir}/man1/kid3-cli.1.gz
%{_mandir}/de/man1/kid3-cli.1.gz

%files -n libkid3_%{soname}
%defattr(-,root,root)
%{_libdir}/libkid3-core.so.%{sosuffix}
%{_libdir}/libkid3-gui.so.%{sosuffix}
%dir %{_libdir}/kid3
%dir %{_libdir}/kid3/plugins
%{_libdir}/kid3/plugins/libamazonimport.so
%{_libdir}/kid3/plugins/libdiscogsimport.so
%{_libdir}/kid3/plugins/libfreedbimport.so
%{_libdir}/kid3/plugins/libmusicbrainzimport.so
%{_libdir}/kid3/plugins/libacoustidimport.so
%{_libdir}/kid3/plugins/libid3libmetadata.so
%{_libdir}/kid3/plugins/libtaglibmetadata.so
%{_libdir}/kid3/plugins/liboggflacmetadata.so
%{_datadir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%dir %{_datadir}/kid3
%dir %{_datadir}/kid3/translations
%{_datadir}/kid3/translations/kid3*.qm
%{_mandir}/man1/kid3.1.gz
%{_mandir}/de/man1/kid3.1.gz
%doc AUTHORS ChangeLog COPYING LICENSE README

%changelog
* Mon Aug 25 2014 joerg.lorenzen@ki.tng.de
- Update to release 3.1.1
  * New:
    + Validation for date/time, track and disc number frames.
    + Mac OS X: Drop on dock icon.
    + Timeout command in kid3-cli to overwrite command timeout.
    + Build option WITH_NO_MANCOMPRESS to disable gzipped manpages.
  * Improved:
    + Updated Czech translation.
    + Support drag'n'drop from https, ftp.
    + Show picture type in frame table.
    + Allow import from file/clipboard with empty date fields.
    + Mac OS X: Placement of Preferences, Quit, About in application menu.
    + Add AppData and comment in desktop file for GNOME Software.
    + Handling of RPATH to private libraries.
  * Fixed:
    + Setting of POPM frames using kid3-cli.
    + Removing of COMM, PRIV, TXXX, free form frames.
    + Windows: kid3-cli output redirection.
    + Mac OS X: Support case-sensitive filesystems.
    + Mac OS X: Fix drag'n'drop on OS X 10.10 Yosemite Preview.
    + Restore Ogg files if writing fails.
    + Format while editing for tag 2.
    + Support composer when importing from MusicBrainz.
    + Opening external links from handbook.
* Sat Apr 26 2014 joerg.lorenzen@ki.tng.de
- Update to release 3.1
  * New:
    + Support for synchronized lyrics and event timing codes.
    + Import and export of LRC (synchronized lyrics/Karaoke) files.
    + Find and replace strings in tags and file names.
    + Display details and sort columns in file list.
    + Open and Open Containing Folder file list actions.
    + Support Ogg and Opus cover art.
    + Export format CDRDAO TOC for CDs with CD-text from WAV tags.
    + D-Bus command expandFileList() to expand the whole file list.
  * Improved:
    + Updated Czech, Finnish, Estonian translations.
    + GUI and usability, keyboard navigation.
  * Fixed:
    + Restore Quick Access Tags settings properly.
    + Support tags from file name with 2 character extensions (e.g. ".wv").
    + Keyboard shortcuts settings with Mac OS X 10.9.
    + Build without Phonon.
    + Fingerprint decoding and resampling with libav.
    + D-Bus command expandDirectory().
* Sat Nov 30 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0.2
  * Fixed:
    + Translations and handbook are not found on Mac OS X 10.9 Mavericks.
    + Application termination when main window is closed while handbook is open.
    + Tag 1 genre combobox is empty if "show only custom genres" is set.
    + Session restoration.
    + Detection of installed Qt 5.
    + KDE application does not find libraries if prefix is not /usr.
    + Build if all translations are disabled.
  * Improved:
    + Added new genres introduced in Winamp 5.6.
* Mon Nov 25 2013 joerg.lorenzen@ki.tng.de
- added patch to correctly quit the application when the main window is closed while the handbook is open
* Sat Nov  9 2013 joerg.lorenzen@ki.tng.de
- moved translations, plugins and DBus-interface into package libkde3_<so-version>
  - removed lang packages, no longer necessary
* Sat Nov  2 2013 joerg.lorenzen@ki.tng.de
- changes in spec file to enable build for openSUSE 11.4 and 12.1
* Thu Oct 31 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0.1
  - added patch to build kde translation files
  - renamed package kid3-core to libkde3_<so-version> and
  moved plugins into an separate package
  * Fixed:
    + Filename format configuration can not be changed.
    + Menus get broken when toolbar is changed in KDE version.
    + Incorrect conversion of configuration in KDE version.
    + Unintended result selection in first track of fingerprint import.
    + Crash at exit after canceling fingerprint import with GStreamer.
    + Prefer GStreamer 0.10 over 1.0 to avoid hang in Phonon.
    + Build with readline needing termcap (as used in Slackware).
    + Build with FFmpeg 2.0 (as used in openSUSE 12.3).
    + Honor LIB_SUFFIX if set (as used in Fedora).
* Wed Oct 30 2013 joerg.lorenzen@ki.tng.de
- Update to release 3.0
  - rename package from kid3-qt to kid3 because
  all frontends are created in one build process
  * New:
    + Command-line interface kid3-cli.
    + Use common shared libraries for KDE, Qt-only and CLI versions.
    + Plugins for metadata libraries and importers.
    + Support Opus files with TagLib 1.9.
    + Support GStreamer 1.0.
    + Support libavresample 0.0.3.
  * Improved:
    + Editing without leaving the keyboard.
    + When saving a file fails, tell user if it is not writable.
    + Escape metacharacters in HTML export.
    + Updated Czech translation.
    + Updated Finnish translation.
    + Cleaned up configuration option sections.
  * Fixed:
    + Crash when saving non-FLAC file with flac extension.
    + Support minimum Mac OS X version 10.5.
    + Load Qt libraries only from bundle on Mac OS X.
  * Release 2.3
  * New:
    + Automatic batch import for multiple directories.
    + Import catalog number and release country from Discogs and
    MusicBrainz.
    + Quick access tags are configurable for tag 2.
    + Setting for default file name to save cover art.
    + Select all in directory.
    + Apply text encoding.
    + Support Qt 5.0.
  * Improved:
    + Better responsiveness when working with a huge number of files,
    long operations can be aborted (filtering, renaming, expanding).
    + Support custom frame names in formats and imports.
    + Display accuracy and cover art URL for imports.
    + Added more unified frame types.
    + GUI and usability.
  * Fixed:
    + Swapped mapping of too and enc for M4A files.
    + Compatibility of ID3v2.4.0 COMM frames with iTunes.
    + Do not remove spaces in Vorbis comment field names.
    + Crash and decoding for fingerprints with libav 9.1.
  * Release 2.2.1
  * Improved:
    + Updated Czech translation.
  * Fixed:
    + Fixed selection of language and handbook with Qt 4.8.
  * Release 2.2
  * New:
    + Option to load last opened file on startup.
    + Option to use locale for character conversion.
    + Support new features of TagLib 1.8: More ID3 frames, ID3v2.3,
    tracker modules (MOD, S3M, IT, XM).
    + Support use of GStreamer instead of FFmpeg for Chromaprint decoding.
    + Support building with latest libav/FFmpeg libraries.
  * Improved:
    + Extract year from "YYYY-MM.." date frame for %%{year} format code.
    + Character conversion for roman numbers.
    + Dutch translation.
    + Finnish translation.
  * Fixed:
    + Avoid crash when exporting album cover while editing multiple files.
    + Check if file format supported before converting to ID3v2.3.0.
    + Rewritten Discogs import to use Discogs API v2.0.
* Sat May 19 2012 pascal.bleser@opensuse.org
- update to 2.1
- moved to Packman as it requires ffmpeg now
* Sun Mar 25 2012 dimstar@opensuse.org
- Add kid3-qt-gcc47.patch: Fix build with gcc 4.7.
* Fri Sep  9 2011 davejplater@gmail.com
- kid3-qt now uses cmake, converted to cmake build.
- Removed phonon patch, no longer relevant.
- Update to release 2.0
  * New:
    + Import from tags to extract and move information between tags.
    + Play a track on double click (optional).
    + Searching in help browser.
    + Move files to trash instead of deleting them.
    + Automatic setting of checkboxes when frame is changed.
    + Support for APE tags with TagLib 1.7.
  * Improved:
    + Major refactoring to improve software architecture, separated
    GUI from application logic using the Qt 4 Model/View
    architecture. This required dropping support for Qt 3 and
    KDE 3. Unified build system using CMake for KDE and Qt-only
    versions.
    + The file list is updated on file system changes and is faster.
    + Import sub-dialogs are modeless and do not block import dialog.
    + Import table is editable and has optional columns for file
    names and paths (selectable with context menu).
    + The tracks to import can be selected, e.g. to import only one
    CD from a doulbe-CD album.
    + Number Tracks can number the tracks of multiple directories.
    + Multiple directories can be selected with Rename Directory.
    + M4A support with TagLib (can fully replace libmp4v2).
    + Exports are displayed in a table if they contain tabulators.
    + Adding and editing formats is now more user friendly.
    + GUI and usability.
  * Fixed:
    + Genre and track total in M4A files with TagLib.
    + Execution of user action without command.
    + Adapted to Discogs server update.
- Spec file updates:
  * Changed License: to GPL-2.0+.
  * Removed support for openSUSE < 11.2 in spec file.
  * Minor other updates.
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Thu Mar 17 2011 davejplater@gmail.com
- Update to release 1.6
- Man page added - kid3-qt.1
- Improved numbering of tracks, GUI and usability.
* Fri Oct  8 2010 davejplater@gmail.com
- Update to release 1.5
- Upstream changes :
  Faster filtering,
  simple audio player,
  GUI and usability improvements.
* Wed Sep 22 2010 davejplater@gmail.com
- Created non kde kid3-qt
* Mon Jun  7 2010 davejplater@gmail.com
- Update to svn 673
- Upstream changes :
  * replaced xmms by amarok in context menu
  * Make docs compile against KDE 4.5 beta.
  * Add the official audio/ogg MIME type, remove the obsolete
  * x-directory/normal MIME type, add StartupNotify and StartupWMClass.
  * Finnish translation spelling fix.
* Sun Mar  7 2010 zOOmER.gm@gmail.com - 1.4
- gzip archive used for souce tarball
- updated to version 1.4
  + New:
  ++ Support for cover art in Ogg files.
  ++ Import from Amazon.
  ++ Separate formats for "to filename" and "from filename".
  ++ Czech translation.
  + Improved:
  ++ Use of UTF8 and UTF16 encoding when non-ASCII characters are used.
  ++ GUI and usability.
  + Fixed:
  ++ Correctly set tags when tags of multiple files are selected,
    edited, and then copied to the other tag.
  ++ Adapted to Discogs server update.
- removed unnecessary BuildRequires
- fixed file list for older distributions
* Wed Nov  4 2009 buschmann23@opensuse.org - 1.3
- renamed package from kde4-kid3 to kid3
- updated to version 1.3
  + New:
  ++ Advanced playlist dialog.
  ++ Support for WMA/ASF, AIFF and WAV files.
  ++ Estonian, Finnish and Turkish translations.
  + Improved:
  ++ When changing the current file while a tag field is being edited,
    the changes are preserved.
  ++ Translation system.
  ++ Settings in Number Tracks dialog can be saved.
  ++ Filter files without attached pictures.
  ++ Support for libmp4v2 1.9 and TagLib 1.6.
  + Fixed:
  ++ Show album art when multiple files are selected.
  ++ From Tag 2 option can be restored in Rename Directory dialog.
  ++ Picture download.
  ++ Adapted to Discogs server update.
* Sat May  2 2009 donnie.bhayangkara@opensuse.org
- new upstream version
* Sat Oct 25 2008 donnie.bhayangkara@opensuse.org
- new upstream version
* Thu Apr  3 2008 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * File filter.
  * D-Bus interface to control application by scripts.
  * Long format codes %%%%{title}, %%%%{album}, ... and tooltips for formats.
  * Support for FLAC pictures.
  * Polish translation.
  Improved:
  * GUI and usability.
  * Rename directory wizard.
  * Use xdg-open as the default web browser.
  * Display description instead of TXXX and WXXX.
  * Add pictures to files by drag and drop and from cllipboard.
  * Compilation with GCC 4.3 and compiler detection for kid3-qt.
  * Support for TagLib 1.5.
  Fixed:
  * KDE 4 docs in correct directory.
  * Crash when TSST frame was added to ID3v2.3.0 tag.
  * Disappearing ID3v1 genres.
  * Possible crash when import or export format was added.
* Sun Dec  2 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * All frames can be edited in tables, not only the standard tags.
  * Support for MP4/AAC, MP2, Speex, TrueAudio, and WavPack files.
  * Default encoding can be configured.
  * Italian translation.
  * Support build with KDE 4.
  Improved:
  * Conversion between ID3v2.3 and ID3v2.4 for all supported frames.
  * GUI and usability.
  * Qt4 version builds without Qt3Support module
  Fixed:
  * Correct kid3-qt icon.
  * kid3-qt builds correctly without id3lib or without MusicBrainz.
  * Remove deleted user actions from configuration.
  * Allow new export/import formats with empty fields.
  * Reread file after conversion from ID3v2.4 to ID3v2.3.
  * Rename directory does not rename when tags are empty.
* Wed Jun 13 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * Hierarchical directory tree instead of flat file list.
  * Enhanced context menu commands, can be used to browse for lyrics
    and album art.
  * Import from gnudb.org.
  * Conversion between ID3v2.3 and ID3v2.4 tags.
  * Editor for custom genres.
  * Option to mark truncated ID3v1.1 fields.
  Improved:
  * Frames are listed alphabetically and can be edited and deleted
    in multiple files.
  * Import from TrackType.org (formerly freedb2.org)
    Fixed:
  * MusicBrainz fingerprint import.
* Thu Dec 21 2006 donnie.bhayangkara@opensuse.org
- package for v0.8.1
